Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.sort
Class RowFilters.GeneralFilter

    java.lang.Object
      javax.swing.RowFilter<java.lang.Object,java.lang.Object>
          org.jdesktop.swingx.sort.RowFilters.GeneralFilter

Enclosing class:
  RowFilters

    public abstract static class RowFilters.GeneralFilter

extends javax.swing.RowFilter<java.lang.Object,java.lang.Object>

C&P from core Swing to allow subclassing.

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.RowFilter
`javax.swing.RowFilter.ComparisonType, javax.swing.RowFilter.Entry<M,I>`

Constructor Summary
`protected` | `RowFilters.GeneralFilter(int... columns)`

Method Summary
`protected void` | `checkIndices(int[] columns)` Throws an IllegalArgumentException if any of the values in columns are < 0.
`boolean` | `include(javax.swing.RowFilter.Entry<? extends java.lang.Object,? extends java.lang.Object> value)`
`protected abstract boolean` | `include(javax.swing.RowFilter.Entry<? extends java.lang.Object,? extends java.lang.Object> value, int index)`

Methods inherited from class javax.swing.RowFilter
`andFilter, dateFilter, notFilter, numberFilter, orFilter, regexFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowFilters.GeneralFilter

    protected RowFilters.GeneralFilter(int... columns)

Method Detail

### include

    public boolean include(javax.swing.RowFilter.Entry<? extends java.lang.Object,? extends java.lang.Object> value)

  Specified by:
    `include` in class `javax.swing.RowFilter<java.lang.Object,java.lang.Object>`

### include

    protected abstract boolean include(javax.swing.RowFilter.Entry<? extends java.lang.Object,? extends java.lang.Object> value,
                                       int index)

### checkIndices

    protected void checkIndices(int[] columns)

  Throws an IllegalArgumentException if any of the values in columns are < 0.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.